Subject: Re: Functioning of 6man

From: Jan Zorz - Go6 <[email-masked]>
Date: Mon, 4 Mar 2019 15:30:58 +0100

On 27/02/2019 13:35, Ole Troan wrote:
> Renaming this thread.
> 
> And just as a note, I think more than me find references to “real
> world requirements” a little taxing. It insinuates that some people
> live in the real world, and understand what’s going on there, and
> some others aren’t. While reality is probably more along the lines of
> lots of paralell universes with somewhat conflicting requirements…
> ;-)

Well, all of us somehow live in real world, do we? :)

I was maybe too brief in my "cycle" descriptions - what I meant was 
feedback from operators (or any other entities) that builds, run and 
maintain networks, deploys IPv6 in their networks and actually have a 
deep understanding and experience on how IPv6 performs and behaves in 
their environment.

Isn't this sort of feedback something that would make the protocol 
better? I agree with Lorenzo that if we follow and implement every 
feedback from individual operator then we may end up with IPv6 being 
very similar to IPv4 - and that's where we should be careful to agree 
what is the issue that not just one operator have - but we need to see 
the same pattern coming back from many deployments.

Example of this is what we are proposing in our I-D. This is the issue 
that was identified on large scale and I suggest that we address it.

Cheers, Jan

> 
> Cheers, Ole
> 
>> On 26 Feb 2019, at 16:35, Jan Zorz - Go6 <[email-masked]> wrote:
>> 
>> Dear @all,
>> 
>> On 25/02/2019 09:37, Ole Troan wrote:> 6man is a long lived working
>> group, tasked with maintaining the IPv6
>>> specifications. That’s different from the typical IETF working
>>> group. Perhaps it is time to have a wider debate about how the
>>> working group should function and what it’s role should be.
>> 
>> This is an important discussion to have. Can we define first what
>> exactly "maintaining the IPv6 specifications" mean?
>> 
>> Is this about being a guardian making sure that IPv6 protocol
>> doesn't change? IPv6 was defined many many years ago and meanwhile
>> the reality of networking architectures and deployments changed a
>> lot...
>> 
>> In my mind, protocol development should go in circles...
>> 
>> Protocol development and standardization (IETF) -> Vendors
>> implementation in HW/SW -> Operators deployment in networks ->
>> Feedback from real world back to IETF from operators (through
>> vendors or direct) -> IETF adjusts protocol to real world
>> requirements -> Vendors -> etc...
>> 
>> Where did things go wrong? Why? Did they go wrong in first place?
>> ;)
>> 
>> Cheers, Jan
>> 
>> --------------------------------------------------------------------
>>
>> 
IETF IPv6 working group mailing list
>> [email-masked] Administrative Requests:
>> https://www.ietf.org/mailman/listinfo/ipv6 
>> --------------------------------------------------------------------
>